RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003306USAF[All Projects] Generalpublic2017-05-16 03:442017-06-09 14:19
Reporterppitm 
Assigned ToSoul_Assassin 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.3 
Summary0003306: Body armor doesn't work
DescriptionIs body armor supposed to work? Units seem to act like unarmored civilians in vanilla? Everyone seems to die in one shot.

Steps To ReproduceAll tests are point blank range, of course:

Russian (MSV Rifleman) and U.S. Army infantry wear Level IV body armor, but die in one hit to the torso with 5.56mm or 5.45mm. Sometimes they survive leg shots, but a single arm shot also seems to be fatal.


9mm Beretta takes down a Level IV-wearing Russian in two shots. 9mm kills people wearing Level I vests too.

 
Additional InformationExpected behavior:

At the very least shots to the limbs should be less fatal.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.70
Did you used any other mod when the error occurred?No
Which mods?
Attached Files? file icon Arma3_x64_2017-05-16_19-46-36.rpt [^] (149,008 bytes) 2017-05-17 01:50
? file icon New RPT.rpt [^] (83,797 bytes) 2017-05-18 00:32

- Relationships

-  Notes
(0006205)
Soul_Assassin (administrator)
2017-05-16 06:55

1. Please revert to stable branch and try again.
2. Please turn off all other mods and try again.
(0006207)
ppitm (reporter)
2017-05-17 01:50

Problem persists on Stable Branch and with all mods (besides CBA, RHSAFRF, RHSUSAF, RHSGREF) removed.

RPT file uploaded. I did nothing but enter the editor and shoot 1 5.56 round at an MSV Efeitor, killing him.

Perhaps the problem is with the ammunition, and not the armor?

US Army 5.56mm kills a CSAT rifleman in 2 shots, which is much better than vanilla 5.56. CSAT survives 4 shots to the arms, RHS MSV Rifleman still dies in 1 shot to arm.

RHS 9mm Beretta also killed CSAT rifleman in 2 shots to chest, which is much better than vanilla pistols.
(0006208)
reyhard (administrator)
2017-05-17 07:24

you have corrupted download
19:47:03 Warning Message: Error: creating weapon rhs_weap_aks74 with scope=private
19:47:03 Warning Message: No entry 'bin\config.bin/CfgMagazines.rhs_30Rnd_545x39_7n6_AK'.
etc
(0006210)
PuFu (administrator)
2017-05-17 09:34

^^ Use RHS weapons and magazines together with RHS gear and units for your tests.
(0006211)
Soul_Assassin (administrator)
2017-05-17 10:12

Also, when we ask to test with no other mods, please turn off ALL mods, CBA included.
(0006212)
ppitm (reporter)
2017-05-17 13:59

1) I will try re-downloading, but be advised the problem exists with 5.56mm ammo, not just the 7n6 magazines.

2) All the units and equipment belong to RHS, see repro. I only included a CSAT unit for comparison.


3) I will test with CBA disabled. I thought it was required.
(0006214)
reyhard (administrator)
2017-05-17 14:56
edited on: 2017-05-17 14:56

there is ton of such errors in your .rpt, 7n6 error was a just an example

(0006217)
ppitm (reporter)
2017-05-18 00:34
edited on: 2017-05-18 00:41

Please re-open this ticket as the problem still persists.

See uploaded file 'New RPT.' The corruption-related error messages are gone.

I deleted all RHS mods and re-downloaded from the Workshop. Main Branch, no other mods besides the 3 RHS mods. MSV riflemen still die in shot to the chest while wearing Level IV armor.

Vanilla civilians wearing the same equipment also die (I tested this because of the missing skeleton .rpt entries for the 'ofp2 man'

Edit: I have also verified my ArmA files with Steam. I am officially out of ideas.

Does it have something to do with these entries?
18:38:28 Error: Bone slot_buttpack doesn't exist in skeleton OFP2_ManSkeleton
18:38:28 Error: Bone slot_patrolwpn doesn't exist in skeleton OFP2_ManSkeleton
18:38:28 Error: Bone cheek_lf doesn't exist in skeleton OFP2_ManSkeleton
18:38:28 Error: Bone nose_tip doesn't exist in skeleton OFP2_ManSkeleton
18:38:28 Error: Bone lip_uplb doesn't exist in skeleton OFP2_ManSkeleton
18:38:29 Error: Bone jaw_ls doesn't exist in skeleton OFP2_ManSkeleton

(0006226)
ppitm (reporter)
2017-05-22 19:22

Any help?
(0006242)
AirShark (reporter)
2017-05-29 23:09

i have the same problem they got killed after 2 shots the first shot will damaged them and but the second one will be deadly

- Issue History
Date Modified Username Field Change
2017-05-16 03:44 ppitm New Issue
2017-05-16 06:55 Soul_Assassin Note Added: 0006205
2017-05-16 06:55 Soul_Assassin Assigned To => Soul_Assassin
2017-05-16 06:55 Soul_Assassin Status new => feedback
2017-05-17 01:50 ppitm Note Added: 0006207
2017-05-17 01:50 ppitm Status feedback => new
2017-05-17 01:50 ppitm File Added: Arma3_x64_2017-05-16_19-46-36.rpt
2017-05-17 07:24 reyhard Note Added: 0006208
2017-05-17 07:24 reyhard Status new => feedback
2017-05-17 09:34 PuFu Note Added: 0006210
2017-05-17 10:12 Soul_Assassin Note Added: 0006211
2017-05-17 13:59 ppitm Note Added: 0006212
2017-05-17 13:59 ppitm Status feedback => new
2017-05-17 14:56 reyhard Note Added: 0006214
2017-05-17 14:56 reyhard Status new => feedback
2017-05-17 14:56 reyhard Note Edited: 0006214 View Revisions
2017-05-17 18:36 reyhard Status feedback => closed
2017-05-17 18:36 reyhard Resolution open => no change required
2017-05-18 00:32 ppitm File Added: New RPT.rpt
2017-05-18 00:34 ppitm Note Added: 0006217
2017-05-18 00:35 ppitm Arma 3 version devbranch => 1.70
2017-05-18 00:35 ppitm Did you used any other mod when the error occurred? Yes => No
2017-05-18 00:35 ppitm Which mods? CUP Maps + Core =>
2017-05-18 00:41 ppitm Note Edited: 0006217 View Revisions
2017-05-18 08:02 reyhard Status closed => new
2017-05-18 08:02 reyhard Resolution no change required => reopened
2017-05-22 19:22 ppitm Note Added: 0006226
2017-05-29 23:09 AirShark Note Added: 0006242
2017-06-09 14:19 reyhard Status new => resolved
2017-06-09 14:19 reyhard Fixed in Version => 0.4.3
2017-06-09 14:19 reyhard Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker